PAM_PERMIT(8) | System Manager's Manual | PAM_PERMIT(8)

# NAME

`pam_permit` —
Promiscuous PAM module

# SYNOPSIS

[service-name] module-type control-flag pam_permit [options]

# DESCRIPTION

The Promiscuous authentication service module for PAM provides functionality for all the PAM categories: authentication, account management, session management and password management. In terms of the module-type parameter, these are the “`auth`”, “`account`”, “`session`”, and “`password`” features.

The Promiscuous module will universally allow all requests. It is primarily of use during testing, and to silence “noisy” PAM-enabled applications.

The following options may be passed to the module:

`debug`
  syslog(3) debugging information at `LOG_DEBUG` level.

# SEE ALSO

syslog(3), pam.conf(5), pam(8)

July 7, 2001 | NetBSD 10.1